// @ts-check
const fs = require("fs");

/**
 * @typedef {object} Options
 * @property {string} options.importerFilePath
 */

/**
 * Makes sure all the dependant files are loaded when a dependency updates. This
 * means page-loader will be called and new imports will be added to the
 * generated page.
 * @type {import("webpack").LoaderDefinitionFunction<Options,
 * import("webpack").LoaderContext<Options>>}
 */
async function dependencyLoader(source) {
  const { importerFilePath } = this.getOptions();
  const date = new Date();
  fs.utimesSync(importerFilePath, date, date);
  return source;
}

module.exports = dependencyLoader;
